﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
	public partial class LoginWindow : ChildWindow
	{
		public LoginWindow()
		{
			InitializeComponent();
		}

		private void OKButton_Click(object sender, RoutedEventArgs e)
		{
			if (this.Login())
			{
				this.DialogResult = true;
			}
		}

		private void TextBox_KeyDown(object sender, KeyEventArgs e)
		{
			if (e.Key == Key.Enter)
			{
				this.Login();
			}
		}

		private bool Login()
		{
			string text = this.txtLogin.Text;
			if (text != string.Empty)
			{
				if (text.ToLower() == "admin")
				{
					AuthenticationHelper.CurrentUser = Role.Admin;
					this.Close();
					return true;
				}
				if (text.ToLower() == "user")
				{
					AuthenticationHelper.CurrentUser = Role.User;
					this.Close();
					return true;
				}
			}
			return false;
		}
	}
}

